Subject: Re: BASH prompt modification.
From: [email-masked] ("Wei Ku")

21 Jul 1997 23:35:22 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="US-ASCII"
Content-Transfer-Encoding: 7bit
Original-To: "'Cygnus GNU Programming Environment'" <[email-masked]>
X-Priority: 3
X-MSMail-Priority: Normal
X-Mailer: Microsoft Outlook Express 4.71.1008.3
X-MimeOle: Produced By Microsoft MimeOLE Engine V4.71.1008.3
Original-Sender: [email-masked]

  export PS1='\w > ' is good, but somtimes too long. '\W >' will show only
the current subdirectory not the whole directory tree.

There are other useful escape key for prompt. check the man page for bash to
obtain more information.

Sincerely,
Wei Ku

***************************************
Department of Physics and Astronomy
The University of Tennessee
1408 Circle Drive
Knoxville, Tennessee 37996-1200
[email-masked]
---------------------------------------
Solid State Division
Oak Ridge National Laboratory
P.O.Box 2008
Oak Ridge, TN 37831-6032
Phone: (423) 574-5795
Fax: (423) 574-4143
[email-masked]
***************************************

-----Original Message-----
From: Micheal A. Benzinger <[email-masked]>
To: Panos Platon Tsapralis <[email-masked]>; 'Cygnus GNU Programming
Environment' <[email-masked]>
Date: Tuesday, July 22, 1997 12:52 AM
Subject: Re: BASH prompt modification.

>Hi Panos,
>
>I believe the following in your .bashrc file will do the trick:
>
> export PS1='\w > '
>
>Mike Benzinger
>
>At 11:45 PM 7/21/97 +-300, Panos Platon Tsapralis wrote:
>> Dear friends,
>>
>> I want to modify the command line prompt of BASH so that it will show
>on-screen ( after complete execution of every command ) the current
>directory ( the output of pwd or the content of $PWD ). How on earth do I
>do this ? I have made endless efforts to find a solution but to no avail.
>Please help me...
>>
>
>
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".